configure
上传用户:stc1860
上传日期:2007-01-12
资源大小:234k
文件大小:147k
源码类别:

CA认证

开发平台:

MultiPlatform

  1. #! /bin/sh
  2. # Guess values for system-dependent variables and create Makefiles.
  3. # Generated by GNU Autoconf 2.53 for xca 0.2.12.
  4. #
  5. # Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001, 2002
  6. # Free Software Foundation, Inc.
  7. # This configure script is free software; the Free Software Foundation
  8. # gives unlimited permission to copy, distribute and modify it.
  9. if expr a : '(a)' >/dev/null 2>&1; then
  10.   as_expr=expr
  11. else
  12.   as_expr=false
  13. fi
  14. ## --------------------- ##
  15. ## M4sh Initialization.  ##
  16. ## --------------------- ##
  17. # Be Bourne compatible
  18. if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  19.   emulate sh
  20.   NULLCMD=:
  21. elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
  22.   set -o posix
  23. fi
  24. # NLS nuisances.
  25. # Support unset when possible.
  26. if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
  27.   as_unset=unset
  28. else
  29.   as_unset=false
  30. fi
  31. (set +x; test -n "`(LANG=C; export LANG) 2>&1`") &&
  32.     { $as_unset LANG || test "${LANG+set}" != set; } ||
  33.       { LANG=C; export LANG; }
  34. (set +x; test -n "`(LC_ALL=C; export LC_ALL) 2>&1`") &&
  35.     { $as_unset LC_ALL || test "${LC_ALL+set}" != set; } ||
  36.       { LC_ALL=C; export LC_ALL; }
  37. (set +x; test -n "`(LC_TIME=C; export LC_TIME) 2>&1`") &&
  38.     { $as_unset LC_TIME || test "${LC_TIME+set}" != set; } ||
  39.       { LC_TIME=C; export LC_TIME; }
  40. (set +x; test -n "`(LC_CTYPE=C; export LC_CTYPE) 2>&1`") &&
  41.     { $as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set; } ||
  42.       { LC_CTYPE=C; export LC_CTYPE; }
  43. (set +x; test -n "`(LANGUAGE=C; export LANGUAGE) 2>&1`") &&
  44.     { $as_unset LANGUAGE || test "${LANGUAGE+set}" != set; } ||
  45.       { LANGUAGE=C; export LANGUAGE; }
  46. (set +x; test -n "`(LC_COLLATE=C; export LC_COLLATE) 2>&1`") &&
  47.     { $as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set; } ||
  48.       { LC_COLLATE=C; export LC_COLLATE; }
  49. (set +x; test -n "`(LC_NUMERIC=C; export LC_NUMERIC) 2>&1`") &&
  50.     { $as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set; } ||
  51.       { LC_NUMERIC=C; export LC_NUMERIC; }
  52. (set +x; test -n "`(LC_MESSAGES=C; export LC_MESSAGES) 2>&1`") &&
  53.     { $as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set; } ||
  54.       { LC_MESSAGES=C; export LC_MESSAGES; }
  55. # Name of the executable.
  56. as_me=`(basename "$0") 2>/dev/null ||
  57. $as_expr X/"$0" : '.*/([^/][^/]*)/*$' | 
  58.  X"$0" : 'X(//)$' | 
  59.  X"$0" : 'X(/)$' | 
  60.  .     : '(.)' 2>/dev/null ||
  61. echo X/"$0" |
  62.     sed '/^.*/([^/][^/]*)/*$/{ s//1/; q; }
  63.      /^X/(//)$/{ s//1/; q; }
  64.      /^X/(/).*/{ s//1/; q; }
  65.      s/.*/./; q'`
  66. # PATH needs CR, and LINENO needs CR and PATH.
  67. # Avoid depending upon Character Ranges.
  68. as_cr_letters='abcdefghijklmnopqrstuvwxyz'
  69. as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
  70. as_cr_Letters=$as_cr_letters$as_cr_LETTERS
  71. as_cr_digits='0123456789'
  72. as_cr_alnum=$as_cr_Letters$as_cr_digits
  73. # The user is always right.
  74. if test "${PATH_SEPARATOR+set}" != set; then
  75.   echo "#! /bin/sh" >conftest.sh
  76.   echo  "exit 0"   >>conftest.sh
  77.   chmod +x conftest.sh
  78.   if (PATH=".;."; conftest.sh) >/dev/null 2>&1; then
  79.     PATH_SEPARATOR=';'
  80.   else
  81.     PATH_SEPARATOR=:
  82.   fi
  83.   rm -f conftest.sh
  84. fi
  85.   as_lineno_1=$LINENO
  86.   as_lineno_2=$LINENO
  87.   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  88.   test "x$as_lineno_1" != "x$as_lineno_2" &&
  89.   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
  90.   # Find who we are.  Look in the path if we contain no path at all
  91.   # relative or not.
  92.   case $0 in
  93.     *[\/]* ) as_myself=$0 ;;
  94.     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  95. for as_dir in $PATH
  96. do
  97.   IFS=$as_save_IFS
  98.   test -z "$as_dir" && as_dir=.
  99.   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
  100. done
  101.        ;;
  102.   esac
  103.   # We did not find ourselves, most probably we were run as `sh COMMAND'
  104.   # in which case we are not to be found in the path.
  105.   if test "x$as_myself" = x; then
  106.     as_myself=$0
  107.   fi
  108.   if test ! -f "$as_myself"; then
  109.     { echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2
  110.    { (exit 1); exit 1; }; }
  111.   fi
  112.   case $CONFIG_SHELL in
  113.   '')
  114.     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  115. for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
  116. do
  117.   IFS=$as_save_IFS
  118.   test -z "$as_dir" && as_dir=.
  119.   for as_base in sh bash ksh sh5; do
  120.  case $as_dir in
  121.  /*)
  122.    if ("$as_dir/$as_base" -c '
  123.   as_lineno_1=$LINENO
  124.   as_lineno_2=$LINENO
  125.   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  126.   test "x$as_lineno_1" != "x$as_lineno_2" &&
  127.   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
  128.      CONFIG_SHELL=$as_dir/$as_base
  129.      export CONFIG_SHELL
  130.      exec "$CONFIG_SHELL" "$0" ${1+"$@"}
  131.    fi;;
  132.  esac
  133.        done
  134. done
  135. ;;
  136.   esac
  137.   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
  138.   # uniformly replaced by the line number.  The first 'sed' inserts a
  139.   # line-number line before each line; the second 'sed' does the real
  140.   # work.  The second script uses 'N' to pair each line-number line
  141.   # with the numbered line, and appends trailing '-' during
  142.   # substitution so that $LINENO is not a special case at line end.
  143.   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
  144.   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
  145.   sed '=' <$as_myself |
  146.     sed '
  147.       N
  148.       s,$,-,
  149.       : loop
  150.       s,^(['$as_cr_digits']*)(.*)[$]LINENO([^'$as_cr_alnum'_]),1213,
  151.       t loop
  152.       s,-$,,
  153.       s,^['$as_cr_digits']*n,,
  154.     ' >$as_me.lineno &&
  155.   chmod +x $as_me.lineno ||
  156.     { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
  157.    { (exit 1); exit 1; }; }
  158.   # Don't try to exec as it changes $[0], causing all sort of problems
  159.   # (the dirname of $[0] is not the place where we might find the
  160.   # original and so on.  Autoconf is especially sensible to this).
  161.   . ./$as_me.lineno
  162.   # Exit status is that of the last command.
  163.   exit
  164. }
  165. case `echo "testingc"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
  166.   *c*,-n*) ECHO_N= ECHO_C='
  167. ' ECHO_T=' ' ;;
  168.   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
  169.   *)       ECHO_N= ECHO_C='c' ECHO_T= ;;
  170. esac
  171. if expr a : '(a)' >/dev/null 2>&1; then
  172.   as_expr=expr
  173. else
  174.   as_expr=false
  175. fi
  176. rm -f conf$$ conf$$.exe conf$$.file
  177. echo >conf$$.file
  178. if ln -s conf$$.file conf$$ 2>/dev/null; then
  179.   # We could just check for DJGPP; but this test a) works b) is more generic
  180.   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
  181.   if test -f conf$$.exe; then
  182.     # Don't use ln at all; we don't have any links
  183.     as_ln_s='cp -p'
  184.   else
  185.     as_ln_s='ln -s'
  186.   fi
  187. elif ln conf$$.file conf$$ 2>/dev/null; then
  188.   as_ln_s=ln
  189. else
  190.   as_ln_s='cp -p'
  191. fi
  192. rm -f conf$$ conf$$.exe conf$$.file
  193. as_executable_p="test -f"
  194. # Sed expression to map a string onto a valid CPP name.
  195. as_tr_cpp="sed y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g"
  196. # Sed expression to map a string onto a valid variable name.
  197. as_tr_sh="sed y%*+%pp%;s%[^_$as_cr_alnum]%_%g"
  198. # IFS
  199. # We need space, tab and new line, in precisely that order.
  200. as_nl='
  201. '
  202. IFS="  $as_nl"
  203. # CDPATH.
  204. $as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=$PATH_SEPARATOR; export CDPATH; }
  205. # Name of the host.
  206. # hostname on some systems (SVR3.2, Linux) returns a bogus exit status,
  207. # so uname gets run too.
  208. ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`
  209. exec 6>&1
  210. #
  211. # Initializations.
  212. #
  213. ac_default_prefix=/usr/local
  214. cross_compiling=no
  215. subdirs=
  216. MFLAGS=
  217. MAKEFLAGS=
  218. SHELL=${CONFIG_SHELL-/bin/sh}
  219. # Maximum number of lines to put in a shell here document.
  220. # This variable seems obsolete.  It should probably be removed, and
  221. # only ac_max_sed_lines should be used.
  222. : ${ac_max_here_lines=38}
  223. # Identity of this package.
  224. PACKAGE_NAME='xca'
  225. PACKAGE_TARNAME='xca'
  226. PACKAGE_VERSION='0.2.12'
  227. PACKAGE_STRING='xca 0.2.12'
  228. PACKAGE_BUGREPORT=''
  229. ac_unique_file="MainWindow.h"
  230. # Factoring default headers for most tests.
  231. ac_includes_default="
  232. #include <stdio.h>
  233. #if HAVE_SYS_TYPES_H
  234. # include <sys/types.h>
  235. #endif
  236. #if HAVE_SYS_STAT_H
  237. # include <sys/stat.h>
  238. #endif
  239. #if STDC_HEADERS
  240. # include <stdlib.h>
  241. # include <stddef.h>
  242. #else
  243. # if HAVE_STDLIB_H
  244. #  include <stdlib.h>
  245. # endif
  246. #endif
  247. #if HAVE_STRING_H
  248. # if !STDC_HEADERS && HAVE_MEMORY_H
  249. #  include <memory.h>
  250. # endif
  251. # include <string.h>
  252. #endif
  253. #if HAVE_STRINGS_H
  254. # include <strings.h>
  255. #endif
  256. #if HAVE_INTTYPES_H
  257. # include <inttypes.h>
  258. #else
  259. # if HAVE_STDINT_H
  260. #  include <stdint.h>
  261. # endif
  262. #endif
  263. #if HAVE_UNISTD_H
  264. # include <unistd.h>
  265. #endif"
  266. # Initialize some variables set by options.
  267. ac_init_help=
  268. ac_init_version=false
  269. # The variables have the same names as the options, with
  270. # dashes changed to underlines.
  271. cache_file=/dev/null
  272. exec_prefix=NONE
  273. no_create=
  274. no_recursion=
  275. prefix=NONE
  276. program_prefix=NONE
  277. program_suffix=NONE
  278. program_transform_name=s,x,x,
  279. silent=
  280. site=
  281. srcdir=
  282. verbose=
  283. x_includes=NONE
  284. x_libraries=NONE
  285. # Installation directory options.
  286. # These are left unexpanded so users can "make install exec_prefix=/foo"
  287. # and all the variables that are supposed to be based on exec_prefix
  288. # by default will actually change.
  289. # Use braces instead of parens because sh, perl, etc. also accept them.
  290. bindir='${exec_prefix}/bin'
  291. sbindir='${exec_prefix}/sbin'
  292. libexecdir='${exec_prefix}/libexec'
  293. datadir='${prefix}/share'
  294. sysconfdir='${prefix}/etc'
  295. sharedstatedir='${prefix}/com'
  296. localstatedir='${prefix}/var'
  297. libdir='${exec_prefix}/lib'
  298. includedir='${prefix}/include'
  299. oldincludedir='/usr/include'
  300. infodir='${prefix}/info'
  301. mandir='${prefix}/man'
  302. ac_prev=
  303. for ac_option
  304. do
  305.   # If the previous option needs an argument, assign it.
  306.   if test -n "$ac_prev"; then
  307.     eval "$ac_prev=$ac_option"
  308.     ac_prev=
  309.     continue
  310.   fi
  311.   ac_optarg=`expr "x$ac_option" : 'x[^=]*=(.*)'`
  312.   # Accept the important Cygnus configure options, so we can diagnose typos.
  313.   case $ac_option in
  314.   -bindir | --bindir | --bindi | --bind | --bin | --bi)
  315.     ac_prev=bindir ;;
  316.   -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
  317.     bindir=$ac_optarg ;;
  318.   -build | --build | --buil | --bui | --bu)
  319.     ac_prev=build_alias ;;
  320.   -build=* | --build=* | --buil=* | --bui=* | --bu=*)
  321.     build_alias=$ac_optarg ;;
  322.   -cache-file | --cache-file | --cache-fil | --cache-fi 
  323.   | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
  324.     ac_prev=cache_file ;;
  325.   -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* 
  326.   | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
  327.     cache_file=$ac_optarg ;;
  328.   --config-cache | -C)
  329.     cache_file=config.cache ;;
  330.   -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
  331.     ac_prev=datadir ;;
  332.   -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* 
  333.   | --da=*)
  334.     datadir=$ac_optarg ;;
  335.   -disable-* | --disable-*)
  336.     ac_feature=`expr "x$ac_option" : 'x-*disable-(.*)'`
  337.     # Reject names that are not valid shell variable names.
  338.     expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
  339.       { echo "$as_me: error: invalid feature name: $ac_feature" >&2
  340.    { (exit 1); exit 1; }; }
  341.     ac_feature=`echo $ac_feature | sed 's/-/_/g'`
  342.     eval "enable_$ac_feature=no" ;;
  343.   -enable-* | --enable-*)
  344.     ac_feature=`expr "x$ac_option" : 'x-*enable-([^=]*)'`
  345.     # Reject names that are not valid shell variable names.
  346.     expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
  347.       { echo "$as_me: error: invalid feature name: $ac_feature" >&2
  348.    { (exit 1); exit 1; }; }
  349.     ac_feature=`echo $ac_feature | sed 's/-/_/g'`
  350.     case $ac_option in
  351.       *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\''/g"`;;
  352.       *) ac_optarg=yes ;;
  353.     esac
  354.     eval "enable_$ac_feature='$ac_optarg'" ;;
  355.   -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi 
  356.   | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- 
  357.   | --exec | --exe | --ex)
  358.     ac_prev=exec_prefix ;;
  359.   -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* 
  360.   | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* 
  361.   | --exec=* | --exe=* | --ex=*)
  362.     exec_prefix=$ac_optarg ;;
  363.   -gas | --gas | --ga | --g)
  364.     # Obsolete; use --with-gas.
  365.     with_gas=yes ;;
  366.   -help | --help | --hel | --he | -h)
  367.     ac_init_help=long ;;
  368.   -help=r* | --help=r* | --hel=r* | --he=r* | -hr*)
  369.     ac_init_help=recursive ;;
  370.   -help=s* | --help=s* | --hel=s* | --he=s* | -hs*)
  371.     ac_init_help=short ;;
  372.   -host | --host | --hos | --ho)
  373.     ac_prev=host_alias ;;
  374.   -host=* | --host=* | --hos=* | --ho=*)
  375.     host_alias=$ac_optarg ;;
  376.   -includedir | --includedir | --includedi | --included | --include 
  377.   | --includ | --inclu | --incl | --inc)
  378.     ac_prev=includedir ;;
  379.   -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* 
  380.   | --includ=* | --inclu=* | --incl=* | --inc=*)
  381.     includedir=$ac_optarg ;;
  382.   -infodir | --infodir | --infodi | --infod | --info | --inf)
  383.     ac_prev=infodir ;;
  384.   -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
  385.     infodir=$ac_optarg ;;
  386.   -libdir | --libdir | --libdi | --libd)
  387.     ac_prev=libdir ;;
  388.   -libdir=* | --libdir=* | --libdi=* | --libd=*)
  389.     libdir=$ac_optarg ;;
  390.   -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec 
  391.   | --libexe | --libex | --libe)
  392.     ac_prev=libexecdir ;;
  393.   -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* 
  394.   | --libexe=* | --libex=* | --libe=*)
  395.     libexecdir=$ac_optarg ;;
  396.   -localstatedir | --localstatedir | --localstatedi | --localstated 
  397.   | --localstate | --localstat | --localsta | --localst 
  398.   | --locals | --local | --loca | --loc | --lo)
  399.     ac_prev=localstatedir ;;
  400.   -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* 
  401.   | --localstate=* | --localstat=* | --localsta=* | --localst=* 
  402.   | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
  403.     localstatedir=$ac_optarg ;;
  404.   -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
  405.     ac_prev=mandir ;;
  406.   -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
  407.     mandir=$ac_optarg ;;
  408.   -nfp | --nfp | --nf)
  409.     # Obsolete; use --without-fp.
  410.     with_fp=no ;;
  411.   -no-create | --no-create | --no-creat | --no-crea | --no-cre 
  412.   | --no-cr | --no-c | -n)
  413.     no_create=yes ;;
  414.   -no-recursion | --no-recursion | --no-recursio | --no-recursi 
  415.   | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
  416.     no_recursion=yes ;;
  417.   -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded 
  418.   | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc 
  419.   | --oldin | --oldi | --old | --ol | --o)
  420.     ac_prev=oldincludedir ;;
  421.   -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* 
  422.   | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* 
  423.   | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
  424.     oldincludedir=$ac_optarg ;;
  425.   -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
  426.     ac_prev=prefix ;;
  427.   -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
  428.     prefix=$ac_optarg ;;
  429.   -program-prefix | --program-prefix | --program-prefi | --program-pref 
  430.   | --program-pre | --program-pr | --program-p)
  431.     ac_prev=program_prefix ;;
  432.   -program-prefix=* | --program-prefix=* | --program-prefi=* 
  433.   | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
  434.     program_prefix=$ac_optarg ;;
  435.   -program-suffix | --program-suffix | --program-suffi | --program-suff 
  436.   | --program-suf | --program-su | --program-s)
  437.     ac_prev=program_suffix ;;
  438.   -program-suffix=* | --program-suffix=* | --program-suffi=* 
  439.   | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
  440.     program_suffix=$ac_optarg ;;
  441.   -program-transform-name | --program-transform-name 
  442.   | --program-transform-nam | --program-transform-na 
  443.   | --program-transform-n | --program-transform- 
  444.   | --program-transform | --program-transfor 
  445.   | --program-transfo | --program-transf 
  446.   | --program-trans | --program-tran 
  447.   | --progr-tra | --program-tr | --program-t)
  448.     ac_prev=program_transform_name ;;
  449.   -program-transform-name=* | --program-transform-name=* 
  450.   | --program-transform-nam=* | --program-transform-na=* 
  451.   | --program-transform-n=* | --program-transform-=* 
  452.   | --program-transform=* | --program-transfor=* 
  453.   | --program-transfo=* | --program-transf=* 
  454.   | --program-trans=* | --program-tran=* 
  455.   | --progr-tra=* | --program-tr=* | --program-t=*)
  456.     program_transform_name=$ac_optarg ;;
  457.   -q | -quiet | --quiet | --quie | --qui | --qu | --q 
  458.   | -silent | --silent | --silen | --sile | --sil)
  459.     silent=yes ;;
  460.   -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
  461.     ac_prev=sbindir ;;
  462.   -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* 
  463.   | --sbi=* | --sb=*)
  464.     sbindir=$ac_optarg ;;
  465.   -sharedstatedir | --sharedstatedir | --sharedstatedi 
  466.   | --sharedstated | --sharedstate | --sharedstat | --sharedsta 
  467.   | --sharedst | --shareds | --shared | --share | --shar 
  468.   | --sha | --sh)
  469.     ac_prev=sharedstatedir ;;
  470.   -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* 
  471.   | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* 
  472.   | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* 
  473.   | --sha=* | --sh=*)
  474.     sharedstatedir=$ac_optarg ;;
  475.   -site | --site | --sit)
  476.     ac_prev=site ;;
  477.   -site=* | --site=* | --sit=*)
  478.     site=$ac_optarg ;;
  479.   -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
  480.     ac_prev=srcdir ;;
  481.   -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
  482.     srcdir=$ac_optarg ;;
  483.   -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf 
  484.   | --syscon | --sysco | --sysc | --sys | --sy)
  485.     ac_prev=sysconfdir ;;
  486.   -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* 
  487.   | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
  488.     sysconfdir=$ac_optarg ;;
  489.   -target | --target | --targe | --targ | --tar | --ta | --t)
  490.     ac_prev=target_alias ;;
  491.   -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
  492.     target_alias=$ac_optarg ;;
  493.   -v | -verbose | --verbose | --verbos | --verbo | --verb)
  494.     verbose=yes ;;
  495.   -version | --version | --versio | --versi | --vers | -V)
  496.     ac_init_version=: ;;
  497.   -with-* | --with-*)
  498.     ac_package=`expr "x$ac_option" : 'x-*with-([^=]*)'`
  499.     # Reject names that are not valid shell variable names.
  500.     expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
  501.       { echo "$as_me: error: invalid package name: $ac_package" >&2
  502.    { (exit 1); exit 1; }; }
  503.     ac_package=`echo $ac_package| sed 's/-/_/g'`
  504.     case $ac_option in
  505.       *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\''/g"`;;
  506.       *) ac_optarg=yes ;;
  507.     esac
  508.     eval "with_$ac_package='$ac_optarg'" ;;
  509.   -without-* | --without-*)
  510.     ac_package=`expr "x$ac_option" : 'x-*without-(.*)'`
  511.     # Reject names that are not valid shell variable names.
  512.     expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
  513.       { echo "$as_me: error: invalid package name: $ac_package" >&2
  514.    { (exit 1); exit 1; }; }
  515.     ac_package=`echo $ac_package | sed 's/-/_/g'`
  516.     eval "with_$ac_package=no" ;;
  517.   --x)
  518.     # Obsolete; use --with-x.
  519.     with_x=yes ;;
  520.   -x-includes | --x-includes | --x-include | --x-includ | --x-inclu 
  521.   | --x-incl | --x-inc | --x-in | --x-i)
  522.     ac_prev=x_includes ;;
  523.   -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* 
  524.   | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
  525.     x_includes=$ac_optarg ;;
  526.   -x-libraries | --x-libraries | --x-librarie | --x-librari 
  527.   | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
  528.     ac_prev=x_libraries ;;
  529.   -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* 
  530.   | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
  531.     x_libraries=$ac_optarg ;;
  532.   -*) { echo "$as_me: error: unrecognized option: $ac_option
  533. Try `$0 --help' for more information." >&2
  534.    { (exit 1); exit 1; }; }
  535.     ;;
  536.   *=*)
  537.     ac_envvar=`expr "x$ac_option" : 'x([^=]*)='`
  538.     # Reject names that are not valid shell variable names.
  539.     expr "x$ac_envvar" : ".*[^_$as_cr_alnum]" >/dev/null &&
  540.       { echo "$as_me: error: invalid variable name: $ac_envvar" >&2
  541.    { (exit 1); exit 1; }; }
  542.     ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\''/g"`
  543.     eval "$ac_envvar='$ac_optarg'"
  544.     export $ac_envvar ;;
  545.   *)
  546.     # FIXME: should be removed in autoconf 3.0.
  547.     echo "$as_me: WARNING: you should use --build, --host, --target" >&2
  548.     expr "x$ac_option" : ".*[^-._$as_cr_alnum]" >/dev/null &&
  549.       echo "$as_me: WARNING: invalid host type: $ac_option" >&2
  550.     : ${build_alias=$ac_option} ${host_alias=$ac_option} ${target_alias=$ac_option}
  551.     ;;
  552.   esac
  553. done
  554. if test -n "$ac_prev"; then
  555.   ac_option=--`echo $ac_prev | sed 's/_/-/g'`
  556.   { echo "$as_me: error: missing argument to $ac_option" >&2
  557.    { (exit 1); exit 1; }; }
  558. fi
  559. # Be sure to have absolute paths.
  560. for ac_var in exec_prefix prefix
  561. do
  562.   eval ac_val=$`echo $ac_var`
  563.   case $ac_val in
  564.     [\/$]* | ?:[\/]* | NONE | '' ) ;;
  565.     *)  { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
  566.    { (exit 1); exit 1; }; };;
  567.   esac
  568. done
  569. # Be sure to have absolute paths.
  570. for ac_var in bindir sbindir libexecdir datadir sysconfdir sharedstatedir 
  571.               localstatedir libdir includedir oldincludedir infodir mandir
  572. do
  573.   eval ac_val=$`echo $ac_var`
  574.   case $ac_val in
  575.     [\/$]* | ?:[\/]* ) ;;
  576.     *)  { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
  577.    { (exit 1); exit 1; }; };;
  578.   esac
  579. done
  580. # There might be people who depend on the old broken behavior: `$host'
  581. # used to hold the argument of --host etc.
  582. # FIXME: To remove some day.
  583. build=$build_alias
  584. host=$host_alias
  585. target=$target_alias
  586. # FIXME: To remove some day.
  587. if test "x$host_alias" != x; then
  588.   if test "x$build_alias" = x; then
  589.     cross_compiling=maybe
  590.     echo "$as_me: WARNING: If you wanted to set the --build type, don't use --host.
  591.     If a cross compiler is detected then cross compile mode will be used." >&2
  592.   elif test "x$build_alias" != "x$host_alias"; then
  593.     cross_compiling=yes
  594.   fi
  595. fi
  596. ac_tool_prefix=
  597. test -n "$host_alias" && ac_tool_prefix=$host_alias-
  598. test "$silent" = yes && exec 6>/dev/null
  599. # Find the source files, if location was not specified.
  600. if test -z "$srcdir"; then
  601.   ac_srcdir_defaulted=yes
  602.   # Try the directory containing this script, then its parent.
  603.   ac_confdir=`(dirname "$0") 2>/dev/null ||
  604. $as_expr X"$0" : 'X(.*[^/])//*[^/][^/]*/*$' | 
  605.          X"$0" : 'X(//)[^/]' | 
  606.          X"$0" : 'X(//)$' | 
  607.          X"$0" : 'X(/)' | 
  608.          .     : '(.)' 2>/dev/null ||
  609. echo X"$0" |
  610.     sed '/^X(.*[^/])//*[^/][^/]*/*$/{ s//1/; q; }
  611.      /^X(//)[^/].*/{ s//1/; q; }
  612.      /^X(//)$/{ s//1/; q; }
  613.      /^X(/).*/{ s//1/; q; }
  614.      s/.*/./; q'`
  615.   srcdir=$ac_confdir
  616.   if test ! -r $srcdir/$ac_unique_file; then
  617.     srcdir=..
  618.   fi
  619. else
  620.   ac_srcdir_defaulted=no
  621. fi
  622. if test ! -r $srcdir/$ac_unique_file; then
  623.   if test "$ac_srcdir_defaulted" = yes; then
  624.     { echo "$as_me: error: cannot find sources ($ac_unique_file) in $ac_confdir or .." >&2
  625.    { (exit 1); exit 1; }; }
  626.   else
  627.     { echo "$as_me: error: cannot find sources ($ac_unique_file) in $srcdir" >&2
  628.    { (exit 1); exit 1; }; }
  629.   fi
  630. fi
  631. srcdir=`echo "$srcdir" | sed 's%([^\/])[\/]*$%1%'`
  632. ac_env_build_alias_set=${build_alias+set}
  633. ac_env_build_alias_value=$build_alias
  634. ac_cv_env_build_alias_set=${build_alias+set}
  635. ac_cv_env_build_alias_value=$build_alias
  636. ac_env_host_alias_set=${host_alias+set}
  637. ac_env_host_alias_value=$host_alias
  638. ac_cv_env_host_alias_set=${host_alias+set}
  639. ac_cv_env_host_alias_value=$host_alias
  640. ac_env_target_alias_set=${target_alias+set}
  641. ac_env_target_alias_value=$target_alias
  642. ac_cv_env_target_alias_set=${target_alias+set}
  643. ac_cv_env_target_alias_value=$target_alias
  644. ac_env_CXX_set=${CXX+set}
  645. ac_env_CXX_value=$CXX
  646. ac_cv_env_CXX_set=${CXX+set}
  647. ac_cv_env_CXX_value=$CXX
  648. ac_env_CXXFLAGS_set=${CXXFLAGS+set}
  649. ac_env_CXXFLAGS_value=$CXXFLAGS
  650. ac_cv_env_CXXFLAGS_set=${CXXFLAGS+set}
  651. ac_cv_env_CXXFLAGS_value=$CXXFLAGS
  652. ac_env_LDFLAGS_set=${LDFLAGS+set}
  653. ac_env_LDFLAGS_value=$LDFLAGS
  654. ac_cv_env_LDFLAGS_set=${LDFLAGS+set}
  655. ac_cv_env_LDFLAGS_value=$LDFLAGS
  656. ac_env_CPPFLAGS_set=${CPPFLAGS+set}
  657. ac_env_CPPFLAGS_value=$CPPFLAGS
  658. ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set}
  659. ac_cv_env_CPPFLAGS_value=$CPPFLAGS
  660. ac_env_CC_set=${CC+set}
  661. ac_env_CC_value=$CC
  662. ac_cv_env_CC_set=${CC+set}
  663. ac_cv_env_CC_value=$CC
  664. ac_env_CFLAGS_set=${CFLAGS+set}
  665. ac_env_CFLAGS_value=$CFLAGS
  666. ac_cv_env_CFLAGS_set=${CFLAGS+set}
  667. ac_cv_env_CFLAGS_value=$CFLAGS
  668. ac_env_CPP_set=${CPP+set}
  669. ac_env_CPP_value=$CPP
  670. ac_cv_env_CPP_set=${CPP+set}
  671. ac_cv_env_CPP_value=$CPP
  672. ac_env_CXXCPP_set=${CXXCPP+set}
  673. ac_env_CXXCPP_value=$CXXCPP
  674. ac_cv_env_CXXCPP_set=${CXXCPP+set}
  675. ac_cv_env_CXXCPP_value=$CXXCPP
  676. #
  677. # Report the --help message.
  678. #
  679. if test "$ac_init_help" = "long"; then
  680.   # Omit some internal or obsolete options to make the list less imposing.
  681.   # This message is too long to be a string in the A/UX 3.1 sh.
  682.   cat <<_ACEOF
  683. `configure' configures xca 0.2.12 to adapt to many kinds of systems.
  684. Usage: $0 [OPTION]... [VAR=VALUE]...
  685. To assign environment variables (e.g., CC, CFLAGS...), specify them as
  686. VAR=VALUE.  See below for descriptions of some of the useful variables.
  687. Defaults for the options are specified in brackets.
  688. Configuration:
  689.   -h, --help              display this help and exit
  690.       --help=short        display options specific to this package
  691.       --help=recursive    display the short help of all the included packages
  692.   -V, --version           display version information and exit
  693.   -q, --quiet, --silent   do not print `checking...' messages
  694.       --cache-file=FILE   cache test results in FILE [disabled]
  695.   -C, --config-cache      alias for `--cache-file=config.cache'
  696.   -n, --no-create         do not create output files
  697.       --srcdir=DIR        find the sources in DIR [configure dir or `..']
  698. _ACEOF
  699.   cat <<_ACEOF
  700. Installation directories:
  701.   --prefix=PREFIX         install architecture-independent files in PREFIX
  702.                           [$ac_default_prefix]
  703.   --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
  704.                           [PREFIX]
  705. By default, `make install' will install all the files in
  706. `$ac_default_prefix/bin', `$ac_default_prefix/lib' etc.  You can specify
  707. an installation prefix other than `$ac_default_prefix' using `--prefix',
  708. for instance `--prefix=$HOME'.
  709. For better control, use the options below.
  710. Fine tuning of the installation directories:
  711.   --bindir=DIR           user executables [EPREFIX/bin]
  712.   --sbindir=DIR          system admin executables [EPREFIX/sbin]
  713.   --libexecdir=DIR       program executables [EPREFIX/libexec]
  714.   --datadir=DIR          read-only architecture-independent data [PREFIX/share]
  715.   --sysconfdir=DIR       read-only single-machine data [PREFIX/etc]
  716.   --sharedstatedir=DIR   modifiable architecture-independent data [PREFIX/com]
  717.   --localstatedir=DIR    modifiable single-machine data [PREFIX/var]
  718.   --libdir=DIR           object code libraries [EPREFIX/lib]
  719.   --includedir=DIR       C header files [PREFIX/include]
  720.   --oldincludedir=DIR    C header files for non-gcc [/usr/include]
  721.   --infodir=DIR          info documentation [PREFIX/info]
  722.   --mandir=DIR           man documentation [PREFIX/man]
  723. _ACEOF
  724.   cat <<_ACEOF
  725. _ACEOF
  726. fi
  727. if test -n "$ac_init_help"; then
  728.   case $ac_init_help in
  729.      short | recursive ) echo "Configuration of xca 0.2.12:";;
  730.    esac
  731.   cat <<_ACEOF
  732. Optional Features:
  733.   --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
  734.   --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
  735.   --enable-printf-debug   switch on or off the printf-debugging
  736.   --enable-debug          switch on or off the printf-debugging
  737. Some influential environment variables:
  738.   CXX         C++ compiler command
  739.   CXXFLAGS    C++ compiler flags
  740.   LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
  741.               nonstandard directory <lib dir>
  742.   CPPFLAGS    C/C++ preprocessor flags, e.g. -I<include dir> if you have
  743.               headers in a nonstandard directory <include dir>
  744.   CC          C compiler command
  745.   CFLAGS      C compiler flags
  746.   CPP         C preprocessor
  747.   CXXCPP      C++ preprocessor
  748. Use these variables to override the choices made by `configure' or to help
  749. it to find libraries and programs with nonstandard names/locations.
  750. _ACEOF
  751. fi
  752. if test "$ac_init_help" = "recursive"; then
  753.   # If there are subdirs, report their specific --help.
  754.   ac_popdir=`pwd`
  755.   for ac_dir in : $ac_subdirs_all; do test "x$ac_dir" = x: && continue
  756.     test -d $ac_dir || continue
  757.     ac_builddir=.
  758. if test "$ac_dir" != .; then
  759.   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^.[\/],,'`
  760.   # A "../" for each directory in $ac_dir_suffix.
  761.   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\/]*,../,g'`
  762. else
  763.   ac_dir_suffix= ac_top_builddir=
  764. fi
  765. case $srcdir in
  766.   .)  # No --srcdir option.  We are building in place.
  767.     ac_srcdir=.
  768.     if test -z "$ac_top_builddir"; then
  769.        ac_top_srcdir=.
  770.     else
  771.        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
  772.     fi ;;
  773.   [\/]* | ?:[\/]* )  # Absolute path.
  774.     ac_srcdir=$srcdir$ac_dir_suffix;
  775.     ac_top_srcdir=$srcdir ;;
  776.   *) # Relative path.
  777.     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
  778.     ac_top_srcdir=$ac_top_builddir$srcdir ;;
  779. esac
  780. # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
  781. # absolute.
  782. ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
  783. ac_abs_top_builddir=`cd "$ac_dir" && cd $ac_top_builddir && pwd`
  784. ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
  785. ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
  786.     cd $ac_dir
  787.     # Check for guested configure; otherwise get Cygnus style configure.
  788.     if test -f $ac_srcdir/configure.gnu; then
  789.       echo
  790.       $SHELL $ac_srcdir/configure.gnu  --help=recursive
  791.     elif test -f $ac_srcdir/configure; then
  792.       echo
  793.       $SHELL $ac_srcdir/configure  --help=recursive
  794.     elif test -f $ac_srcdir/configure.ac ||
  795.            test -f $ac_srcdir/configure.in; then
  796.       echo
  797.       $ac_configure --help
  798.     else
  799.       echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
  800.     fi
  801.     cd $ac_popdir
  802.   done
  803. fi
  804. test -n "$ac_init_help" && exit 0
  805. if $ac_init_version; then
  806.   cat <<_ACEOF
  807. xca configure 0.2.12
  808. generated by GNU Autoconf 2.53
  809. Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001, 2002
  810. Free Software Foundation, Inc.
  811. This configure script is free software; the Free Software Foundation
  812. gives unlimited permission to copy, distribute and modify it.
  813. _ACEOF
  814.   exit 0
  815. fi
  816. exec 5>config.log
  817. cat >&5 <<_ACEOF
  818. This file contains any messages produced by compilers while
  819. running configure, to aid debugging if configure makes a mistake.
  820. It was created by xca $as_me 0.2.12, which was
  821. generated by GNU Autoconf 2.53.  Invocation command line was
  822.   $ $0 $@
  823. _ACEOF
  824. {
  825. cat <<_ASUNAME
  826. ## --------- ##
  827. ## Platform. ##
  828. ## --------- ##
  829. hostname = `(hostname || uname -n) 2>/dev/null | sed 1q`
  830. uname -m = `(uname -m) 2>/dev/null || echo unknown`
  831. uname -r = `(uname -r) 2>/dev/null || echo unknown`
  832. uname -s = `(uname -s) 2>/dev/null || echo unknown`
  833. uname -v = `(uname -v) 2>/dev/null || echo unknown`
  834. /usr/bin/uname -p = `(/usr/bin/uname -p) 2>/dev/null || echo unknown`
  835. /bin/uname -X     = `(/bin/uname -X) 2>/dev/null     || echo unknown`
  836. /bin/arch              = `(/bin/arch) 2>/dev/null              || echo unknown`
  837. /usr/bin/arch -k       = `(/usr/bin/arch -k) 2>/dev/null       || echo unknown`
  838. /usr/convex/getsysinfo = `(/usr/convex/getsysinfo) 2>/dev/null || echo unknown`
  839. hostinfo               = `(hostinfo) 2>/dev/null               || echo unknown`
  840. /bin/machine           = `(/bin/machine) 2>/dev/null           || echo unknown`
  841. /usr/bin/oslevel       = `(/usr/bin/oslevel) 2>/dev/null       || echo unknown`
  842. /bin/universe          = `(/bin/universe) 2>/dev/null          || echo unknown`
  843. _ASUNAME
  844. as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  845. for as_dir in $PATH
  846. do
  847.   IFS=$as_save_IFS
  848.   test -z "$as_dir" && as_dir=.
  849.   echo "PATH: $as_dir"
  850. done
  851. } >&5
  852. cat >&5 <<_ACEOF
  853. ## ----------- ##
  854. ## Core tests. ##
  855. ## ----------- ##
  856. _ACEOF
  857. # Keep a trace of the command line.
  858. # Strip out --no-create and --no-recursion so they do not pile up.
  859. # Also quote any args containing shell meta-characters.
  860. ac_configure_args=
  861. ac_sep=
  862. for ac_arg
  863. do
  864.   case $ac_arg in
  865.   -no-create | --no-create | --no-creat | --no-crea | --no-cre 
  866.   | --no-cr | --no-c | -n ) continue ;;
  867.   -no-recursion | --no-recursion | --no-recursio | --no-recursi 
  868.   | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
  869.     continue ;;
  870.   *" "*|*" "*|*[[]~#$^&*(){}\|;<>?"']*)
  871.     ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\''/g"` ;;
  872.   esac
  873.   case " $ac_configure_args " in
  874.     *" '$ac_arg' "*) ;; # Avoid dups.  Use of quotes ensures accuracy.
  875.     *) ac_configure_args="$ac_configure_args$ac_sep'$ac_arg'"
  876.        ac_sep=" " ;;
  877.   esac
  878.   # Get rid of the leading space.
  879. done
  880. # When interrupted or exit'd, cleanup temporary files, and complete
  881. # config.log.  We remove comments because anyway the quotes in there
  882. # would cause problems or look ugly.
  883. # WARNING: Be sure not to use single quotes in there, as some shells,
  884. # such as our DU 5.0 friend, will then `close' the trap.
  885. trap 'exit_status=$?
  886.   # Save into config.log some information that might help in debugging.
  887.   {
  888.     echo
  889.     cat <<_ASBOX
  890. ## ---------------- ##
  891. ## Cache variables. ##
  892. ## ---------------- ##
  893. _ASBOX
  894.     echo
  895.     # The following way of writing the cache mishandles newlines in values,
  896. {
  897.   (set) 2>&1 |
  898.     case `(ac_space='"'"' '"'"'; set | grep ac_space) 2>&1` in
  899.     *ac_space= *)
  900.       sed -n 
  901.         "s/'"'"'/'"'"'\\'"'"''"'"'/g;
  902.        s/^\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\)=\(.*\)/\1='"'"'\2'"'"'/p"
  903.       ;;
  904.     *)
  905.       sed -n 
  906.         "s/^\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\)=\(.*\)/\1=\2/p"
  907.       ;;
  908.     esac;
  909. }
  910.     echo
  911.     if test -s confdefs.h; then
  912.       cat <<_ASBOX
  913. ## ----------- ##
  914. ## confdefs.h. ##
  915. ## ----------- ##
  916. _ASBOX
  917.       echo
  918.       sed "/^$/d" confdefs.h
  919.       echo
  920.     fi
  921.     test "$ac_signal" != 0 &&
  922.       echo "$as_me: caught signal $ac_signal"
  923.     echo "$as_me: exit $exit_status"
  924.   } >&5
  925.   rm -f core core.* *.core &&
  926.   rm -rf conftest* confdefs* conf$$* $ac_clean_files &&
  927.     exit $exit_status
  928.      ' 0
  929. for ac_signal in 1 2 13 15; do
  930.   trap 'ac_signal='$ac_signal'; { (exit 1); exit 1; }' $ac_signal
  931. done
  932. ac_signal=0
  933. # confdefs.h avoids OS command line length limits that DEFS can exceed.
  934. rm -rf conftest* confdefs.h
  935. # AIX cpp loses on an empty file, so make sure it contains at least a newline.
  936. echo >confdefs.h
  937. # Predefined preprocessor variables.
  938. cat >>confdefs.h <<_ACEOF
  939. #define PACKAGE_NAME "$PACKAGE_NAME"
  940. _ACEOF
  941. cat >>confdefs.h <<_ACEOF
  942. #define PACKAGE_TARNAME "$PACKAGE_TARNAME"
  943. _ACEOF
  944. cat >>confdefs.h <<_ACEOF
  945. #define PACKAGE_VERSION "$PACKAGE_VERSION"
  946. _ACEOF
  947. cat >>confdefs.h <<_ACEOF
  948. #define PACKAGE_STRING "$PACKAGE_STRING"
  949. _ACEOF
  950. cat >>confdefs.h <<_ACEOF
  951. #define PACKAGE_BUGREPORT "$PACKAGE_BUGREPORT"
  952. _ACEOF
  953. # Let the site file select an alternate cache file if it wants to.
  954. # Prefer explicitly selected file to automatically selected ones.
  955. if test -z "$CONFIG_SITE"; then
  956.   if test "x$prefix" != xNONE; then
  957.     CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
  958.   else
  959.     CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
  960.   fi
  961. fi
  962. for ac_site_file in $CONFIG_SITE; do
  963.   if test -r "$ac_site_file"; then
  964.     { echo "$as_me:$LINENO: loading site script $ac_site_file" >&5
  965. echo "$as_me: loading site script $ac_site_file" >&6;}
  966.     sed 's/^/| /' "$ac_site_file" >&5
  967.     . "$ac_site_file"
  968.   fi
  969. done
  970. if test -r "$cache_file"; then
  971.   # Some versions of bash will fail to source /dev/null (special
  972.   # files actually), so we avoid doing that.
  973.   if test -f "$cache_file"; then
  974.     { echo "$as_me:$LINENO: loading cache $cache_file" >&5
  975. echo "$as_me: loading cache $cache_file" >&6;}
  976.     case $cache_file in
  977.       [\/]* | ?:[\/]* ) . $cache_file;;
  978.       *)                      . ./$cache_file;;
  979.     esac
  980.   fi
  981. else
  982.   { echo "$as_me:$LINENO: creating cache $cache_file" >&5
  983. echo "$as_me: creating cache $cache_file" >&6;}
  984.   >$cache_file
  985. fi
  986. # Check that the precious variables saved in the cache have kept the same
  987. # value.
  988. ac_cache_corrupted=false
  989. for ac_var in `(set) 2>&1 |
  990.                sed -n 's/^ac_env_([a-zA-Z_0-9]*)_set=.*/1/p'`; do
  991.   eval ac_old_set=$ac_cv_env_${ac_var}_set
  992.   eval ac_new_set=$ac_env_${ac_var}_set
  993.   eval ac_old_val="$ac_cv_env_${ac_var}_value"
  994.   eval ac_new_val="$ac_env_${ac_var}_value"
  995.   case $ac_old_set,$ac_new_set in
  996.     set,)
  997.       { echo "$as_me:$LINENO: error: `$ac_var' was set to `$ac_old_val' in the previous run" >&5
  998. echo "$as_me: error: `$ac_var' was set to `$ac_old_val' in the previous run" >&2;}
  999.       ac_cache_corrupted=: ;;
  1000.     ,set)
  1001.       { echo "$as_me:$LINENO: error: `$ac_var' was not set in the previous run" >&5
  1002. echo "$as_me: error: `$ac_var' was not set in the previous run" >&2;}
  1003.       ac_cache_corrupted=: ;;
  1004.     ,);;
  1005.     *)
  1006.       if test "x$ac_old_val" != "x$ac_new_val"; then
  1007.         { echo "$as_me:$LINENO: error: `$ac_var' has changed since the previous run:" >&5
  1008. echo "$as_me: error: `$ac_var' has changed since the previous run:" >&2;}
  1009.         { echo "$as_me:$LINENO:   former value:  $ac_old_val" >&5
  1010. echo "$as_me:   former value:  $ac_old_val" >&2;}
  1011.         { echo "$as_me:$LINENO:   current value: $ac_new_val" >&5
  1012. echo "$as_me:   current value: $ac_new_val" >&2;}
  1013.         ac_cache_corrupted=:
  1014.       fi;;
  1015.   esac
  1016.   # Pass precious variables to config.status.
  1017.   if test "$ac_new_set" = set; then
  1018.     case $ac_new_val in
  1019.     *" "*|*" "*|*[[]~#$^&*(){}\|;<>?"']*)
  1020.       ac_arg=$ac_var=`echo "$ac_new_val" | sed "s/'/'\\\\''/g"` ;;
  1021.     *) ac_arg=$ac_var=$ac_new_val ;;
  1022.     esac
  1023.     case " $ac_configure_args " in
  1024.       *" '$ac_arg' "*) ;; # Avoid dups.  Use of quotes ensures accuracy.
  1025.       *) ac_configure_args="$ac_configure_args '$ac_arg'" ;;
  1026.     esac
  1027.   fi
  1028. done
  1029. if $ac_cache_corrupted; then
  1030.   { echo "$as_me:$LINENO: error: changes in the environment can compromise the build" >&5
  1031. echo "$as_me: error: changes in the environment can compromise the build" >&2;}
  1032.   { { echo "$as_me:$LINENO: error: run `make distclean' and/or `rm $cache_file' and start over" >&5
  1033. echo "$as_me: error: run `make distclean' and/or `rm $cache_file' and start over" >&2;}
  1034.    { (exit 1); exit 1; }; }
  1035. fi
  1036. ac_ext=c
  1037. ac_cpp='$CPP $CPPFLAGS'
  1038. ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
  1039. ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
  1040. ac_compiler_gnu=$ac_cv_c_compiler_gnu
  1041. ac_config_headers="$ac_config_headers config.h"
  1042. if test -z "$CFLAGS"; then
  1043. CFLAGS=-O2
  1044. fi
  1045. # Checks for programs.
  1046. ac_ext=cc
  1047. ac_cpp='$CXXCPP $CPPFLAGS'
  1048. ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
  1049. ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
  1050. ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
  1051. if test -n "$ac_tool_prefix"; then
  1052.   for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC
  1053.   do
  1054.     # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
  1055. set dummy $ac_tool_prefix$ac_prog; ac_word=$2
  1056. echo "$as_me:$LINENO: checking for $ac_word" >&5
  1057. echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
  1058. if test "${ac_cv_prog_CXX+set}" = set; then
  1059.   echo $ECHO_N "(cached) $ECHO_C" >&6
  1060. else
  1061.   if test -n "$CXX"; then
  1062.   ac_cv_prog_CXX="$CXX" # Let the user override the test.
  1063. else
  1064. as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  1065. for as_dir in $PATH
  1066. do
  1067.   IFS=$as_save_IFS
  1068.   test -z "$as_dir" && as_dir=.
  1069.   for ac_exec_ext in '' $ac_executable_extensions; do
  1070.   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
  1071.     ac_cv_prog_CXX="$ac_tool_prefix$ac_prog"
  1072.     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
  1073.     break 2
  1074.   fi
  1075. done
  1076. done
  1077. fi
  1078. fi
  1079. CXX=$ac_cv_prog_CXX
  1080. if test -n "$CXX"; then
  1081.   echo "$as_me:$LINENO: result: $CXX" >&5
  1082. echo "${ECHO_T}$CXX" >&6
  1083. else
  1084.   echo "$as_me:$LINENO: result: no" >&5
  1085. echo "${ECHO_T}no" >&6
  1086. fi
  1087.     test -n "$CXX" && break
  1088.   done
  1089. fi
  1090. if test -z "$CXX"; then
  1091.   ac_ct_CXX=$CXX
  1092.   for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC
  1093. do
  1094.   # Extract the first word of "$ac_prog", so it can be a program name with args.
  1095. set dummy $ac_prog; ac_word=$2
  1096. echo "$as_me:$LINENO: checking for $ac_word" >&5
  1097. echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
  1098. if test "${ac_cv_prog_ac_ct_CXX+set}" = set; then
  1099.   echo $ECHO_N "(cached) $ECHO_C" >&6
  1100. else
  1101.   if test -n "$ac_ct_CXX"; then
  1102.   ac_cv_prog_ac_ct_CXX="$ac_ct_CXX" # Let the user override the test.
  1103. else
  1104. as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  1105. for as_dir in $PATH
  1106. do
  1107.   IFS=$as_save_IFS
  1108.   test -z "$as_dir" && as_dir=.
  1109.   for ac_exec_ext in '' $ac_executable_extensions; do
  1110.   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
  1111.     ac_cv_prog_ac_ct_CXX="$ac_prog"
  1112.     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
  1113.     break 2
  1114.   fi
  1115. done
  1116. done
  1117. fi
  1118. fi
  1119. ac_ct_CXX=$ac_cv_prog_ac_ct_CXX
  1120. if test -n "$ac_ct_CXX"; then
  1121.   echo "$as_me:$LINENO: result: $ac_ct_CXX" >&5
  1122. echo "${ECHO_T}$ac_ct_CXX" >&6
  1123. else
  1124.   echo "$as_me:$LINENO: result: no" >&5
  1125. echo "${ECHO_T}no" >&6
  1126. fi
  1127.   test -n "$ac_ct_CXX" && break
  1128. done
  1129. test -n "$ac_ct_CXX" || ac_ct_CXX="g++"
  1130.   CXX=$ac_ct_CXX
  1131. fi
  1132. # Provide some information about the compiler.
  1133. echo "$as_me:$LINENO:" 
  1134.      "checking for C++ compiler version" >&5
  1135. ac_compiler=`set X $ac_compile; echo $2`
  1136. { (eval echo "$as_me:$LINENO: "$ac_compiler --version </dev/null >&5"") >&5
  1137.   (eval $ac_compiler --version </dev/null >&5) 2>&5
  1138.   ac_status=$?
  1139.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1140.   (exit $ac_status); }
  1141. { (eval echo "$as_me:$LINENO: "$ac_compiler -v </dev/null >&5"") >&5
  1142.   (eval $ac_compiler -v </dev/null >&5) 2>&5
  1143.   ac_status=$?
  1144.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1145.   (exit $ac_status); }
  1146. { (eval echo "$as_me:$LINENO: "$ac_compiler -V </dev/null >&5"") >&5
  1147.   (eval $ac_compiler -V </dev/null >&5) 2>&5
  1148.   ac_status=$?
  1149.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1150.   (exit $ac_status); }
  1151. cat >conftest.$ac_ext <<_ACEOF
  1152. #line $LINENO "configure"
  1153. #include "confdefs.h"
  1154. #ifdef F77_DUMMY_MAIN
  1155. #  ifdef __cplusplus
  1156.      extern "C"
  1157. #  endif
  1158.    int F77_DUMMY_MAIN() { return 1; }
  1159. #endif
  1160. int
  1161. main ()
  1162. {
  1163.   ;
  1164.   return 0;
  1165. }
  1166. _ACEOF
  1167. ac_clean_files_save=$ac_clean_files
  1168. ac_clean_files="$ac_clean_files a.out a.exe"
  1169. # Try to create an executable without -o first, disregard a.out.
  1170. # It will help us diagnose broken compilers, and finding out an intuition
  1171. # of exeext.
  1172. echo "$as_me:$LINENO: checking for C++ compiler default output" >&5
  1173. echo $ECHO_N "checking for C++ compiler default output... $ECHO_C" >&6
  1174. ac_link_default=`echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
  1175. if { (eval echo "$as_me:$LINENO: "$ac_link_default"") >&5
  1176.   (eval $ac_link_default) 2>&5
  1177.   ac_status=$?
  1178.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1179.   (exit $ac_status); }; then
  1180.   # Find the output, starting from the most likely.  This scheme is
  1181. # not robust to junk in `.', hence go to wildcards (a.*) only as a last
  1182. # resort.
  1183. # Be careful to initialize this variable, since it used to be cached.
  1184. # Otherwise an old cache value of `no' led to `EXEEXT = no' in a Makefile.
  1185. ac_cv_exeext=
  1186. for ac_file in `ls a_out.exe a.exe conftest.exe 2>/dev/null;
  1187.                 ls a.out conftest 2>/dev/null;
  1188.                 ls a.* conftest.* 2>/dev/null`; do
  1189.   case $ac_file in
  1190.     *.$ac_ext | *.o | *.obj | *.xcoff | *.tds | *.d | *.pdb | *.xSYM ) ;;
  1191.     a.out ) # We found the default executable, but exeext='' is most
  1192.             # certainly right.
  1193.             break;;
  1194.     *.* ) ac_cv_exeext=`expr "$ac_file" : '[^.]*(..*)'`
  1195.           # FIXME: I believe we export ac_cv_exeext for Libtool --akim.
  1196.           export ac_cv_exeext
  1197.           break;;
  1198.     * ) break;;
  1199.   esac
  1200. done
  1201. else
  1202.   echo "$as_me: failed program was:" >&5
  1203. cat conftest.$ac_ext >&5
  1204. { { echo "$as_me:$LINENO: error: C++ compiler cannot create executables" >&5
  1205. echo "$as_me: error: C++ compiler cannot create executables" >&2;}
  1206.    { (exit 77); exit 77; }; }
  1207. fi
  1208. ac_exeext=$ac_cv_exeext
  1209. echo "$as_me:$LINENO: result: $ac_file" >&5
  1210. echo "${ECHO_T}$ac_file" >&6
  1211. # Check the compiler produces executables we can run.  If not, either
  1212. # the compiler is broken, or we cross compile.
  1213. echo "$as_me:$LINENO: checking whether the C++ compiler works" >&5
  1214. echo $ECHO_N "checking whether the C++ compiler works... $ECHO_C" >&6
  1215. # FIXME: These cross compiler hacks should be removed for Autoconf 3.0
  1216. # If not cross compiling, check that we can run a simple program.
  1217. if test "$cross_compiling" != yes; then
  1218.   if { ac_try='./$ac_file'
  1219.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  1220.   (eval $ac_try) 2>&5
  1221.   ac_status=$?
  1222.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1223.   (exit $ac_status); }; }; then
  1224.     cross_compiling=no
  1225.   else
  1226.     if test "$cross_compiling" = maybe; then
  1227. cross_compiling=yes
  1228.     else
  1229. { { echo "$as_me:$LINENO: error: cannot run C++ compiled programs.
  1230. If you meant to cross compile, use `--host'." >&5
  1231. echo "$as_me: error: cannot run C++ compiled programs.
  1232. If you meant to cross compile, use `--host'." >&2;}
  1233.    { (exit 1); exit 1; }; }
  1234.     fi
  1235.   fi
  1236. fi
  1237. echo "$as_me:$LINENO: result: yes" >&5
  1238. echo "${ECHO_T}yes" >&6
  1239. rm -f a.out a.exe conftest$ac_cv_exeext
  1240. ac_clean_files=$ac_clean_files_save
  1241. # Check the compiler produces executables we can run.  If not, either
  1242. # the compiler is broken, or we cross compile.
  1243. echo "$as_me:$LINENO: checking whether we are cross compiling" >&5
  1244. echo $ECHO_N "checking whether we are cross compiling... $ECHO_C" >&6
  1245. echo "$as_me:$LINENO: result: $cross_compiling" >&5
  1246. echo "${ECHO_T}$cross_compiling" >&6
  1247. echo "$as_me:$LINENO: checking for suffix of executables" >&5
  1248. echo $ECHO_N "checking for suffix of executables... $ECHO_C" >&6
  1249. if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
  1250.   (eval $ac_link) 2>&5
  1251.   ac_status=$?
  1252.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1253.   (exit $ac_status); }; then
  1254.   # If both `conftest.exe' and `conftest' are `present' (well, observable)
  1255. # catch `conftest.exe'.  For instance with Cygwin, `ls conftest' will
  1256. # work properly (i.e., refer to `conftest.exe'), while it won't with
  1257. # `rm'.
  1258. for ac_file in `(ls conftest.exe; ls conftest; ls conftest.*) 2>/dev/null`; do
  1259.   case $ac_file in
  1260.     *.$ac_ext | *.o | *.obj | *.xcoff | *.tds | *.d | *.pdb ) ;;
  1261.     *.* ) ac_cv_exeext=`expr "$ac_file" : '[^.]*(..*)'`
  1262.           export ac_cv_exeext
  1263.           break;;
  1264.     * ) break;;
  1265.   esac
  1266. done
  1267. else
  1268.   { { echo "$as_me:$LINENO: error: cannot compute suffix of executables: cannot compile and link" >&5
  1269. echo "$as_me: error: cannot compute suffix of executables: cannot compile and link" >&2;}
  1270.    { (exit 1); exit 1; }; }
  1271. fi
  1272. rm -f conftest$ac_cv_exeext
  1273. echo "$as_me:$LINENO: result: $ac_cv_exeext" >&5
  1274. echo "${ECHO_T}$ac_cv_exeext" >&6
  1275. rm -f conftest.$ac_ext
  1276. EXEEXT=$ac_cv_exeext
  1277. ac_exeext=$EXEEXT
  1278. echo "$as_me:$LINENO: checking for suffix of object files" >&5
  1279. echo $ECHO_N "checking for suffix of object files... $ECHO_C" >&6
  1280. if test "${ac_cv_objext+set}" = set; then
  1281.   echo $ECHO_N "(cached) $ECHO_C" >&6
  1282. else
  1283.   cat >conftest.$ac_ext <<_ACEOF
  1284. #line $LINENO "configure"
  1285. #include "confdefs.h"
  1286. #ifdef F77_DUMMY_MAIN
  1287. #  ifdef __cplusplus
  1288.      extern "C"
  1289. #  endif
  1290.    int F77_DUMMY_MAIN() { return 1; }
  1291. #endif
  1292. int
  1293. main ()
  1294. {
  1295.   ;
  1296.   return 0;
  1297. }
  1298. _ACEOF
  1299. rm -f conftest.o conftest.obj
  1300. if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
  1301.   (eval $ac_compile) 2>&5
  1302.   ac_status=$?
  1303.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1304.   (exit $ac_status); }; then
  1305.   for ac_file in `(ls conftest.o conftest.obj; ls conftest.*) 2>/dev/null`; do
  1306.   case $ac_file in
  1307.     *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb ) ;;
  1308.     *) ac_cv_objext=`expr "$ac_file" : '.*.(.*)'`
  1309.        break;;
  1310.   esac
  1311. done
  1312. else
  1313.   echo "$as_me: failed program was:" >&5
  1314. cat conftest.$ac_ext >&5
  1315. { { echo "$as_me:$LINENO: error: cannot compute suffix of object files: cannot compile" >&5
  1316. echo "$as_me: error: cannot compute suffix of object files: cannot compile" >&2;}
  1317.    { (exit 1); exit 1; }; }
  1318. fi
  1319. rm -f conftest.$ac_cv_objext conftest.$ac_ext
  1320. fi
  1321. echo "$as_me:$LINENO: result: $ac_cv_objext" >&5
  1322. echo "${ECHO_T}$ac_cv_objext" >&6
  1323. OBJEXT=$ac_cv_objext
  1324. ac_objext=$OBJEXT
  1325. echo "$as_me:$LINENO: checking whether we are using the GNU C++ compiler" >&5
  1326. echo $ECHO_N "checking whether we are using the GNU C++ compiler... $ECHO_C" >&6
  1327. if test "${ac_cv_cxx_compiler_gnu+set}" = set; then
  1328.   echo $ECHO_N "(cached) $ECHO_C" >&6
  1329. else
  1330.   cat >conftest.$ac_ext <<_ACEOF
  1331. #line $LINENO "configure"
  1332. #include "confdefs.h"
  1333. #ifdef F77_DUMMY_MAIN
  1334. #  ifdef __cplusplus
  1335.      extern "C"
  1336. #  endif
  1337.    int F77_DUMMY_MAIN() { return 1; }
  1338. #endif
  1339. int
  1340. main ()
  1341. {
  1342. #ifndef __GNUC__
  1343.        choke me
  1344. #endif
  1345.   ;
  1346.   return 0;
  1347. }
  1348. _ACEOF
  1349. rm -f conftest.$ac_objext
  1350. if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
  1351.   (eval $ac_compile) 2>&5
  1352.   ac_status=$?
  1353.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1354.   (exit $ac_status); } &&
  1355.          { ac_try='test -s conftest.$ac_objext'
  1356.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  1357.   (eval $ac_try) 2>&5
  1358.   ac_status=$?
  1359.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1360.   (exit $ac_status); }; }; then
  1361.   ac_compiler_gnu=yes
  1362. else
  1363.   echo "$as_me: failed program was:" >&5
  1364. cat conftest.$ac_ext >&5
  1365. ac_compiler_gnu=no
  1366. fi
  1367. rm -f conftest.$ac_objext conftest.$ac_ext
  1368. ac_cv_cxx_compiler_gnu=$ac_compiler_gnu
  1369. fi
  1370. echo "$as_me:$LINENO: result: $ac_cv_cxx_compiler_gnu" >&5
  1371. echo "${ECHO_T}$ac_cv_cxx_compiler_gnu" >&6
  1372. GXX=`test $ac_compiler_gnu = yes && echo yes`
  1373. ac_test_CXXFLAGS=${CXXFLAGS+set}
  1374. ac_save_CXXFLAGS=$CXXFLAGS
  1375. CXXFLAGS="-g"
  1376. echo "$as_me:$LINENO: checking whether $CXX accepts -g" >&5
  1377. echo $ECHO_N "checking whether $CXX accepts -g... $ECHO_C" >&6
  1378. if test "${ac_cv_prog_cxx_g+set}" = set; then
  1379.   echo $ECHO_N "(cached) $ECHO_C" >&6
  1380. else
  1381.   cat >conftest.$ac_ext <<_ACEOF
  1382. #line $LINENO "configure"
  1383. #include "confdefs.h"
  1384. #ifdef F77_DUMMY_MAIN
  1385. #  ifdef __cplusplus
  1386.      extern "C"
  1387. #  endif
  1388.    int F77_DUMMY_MAIN() { return 1; }
  1389. #endif
  1390. int
  1391. main ()
  1392. {
  1393.   ;
  1394.   return 0;
  1395. }
  1396. _ACEOF
  1397. rm -f conftest.$ac_objext
  1398. if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
  1399.   (eval $ac_compile) 2>&5
  1400.   ac_status=$?
  1401.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1402.   (exit $ac_status); } &&
  1403.          { ac_try='test -s conftest.$ac_objext'
  1404.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  1405.   (eval $ac_try) 2>&5
  1406.   ac_status=$?
  1407.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1408.   (exit $ac_status); }; }; then
  1409.   ac_cv_prog_cxx_g=yes
  1410. else
  1411.   echo "$as_me: failed program was:" >&5
  1412. cat conftest.$ac_ext >&5
  1413. ac_cv_prog_cxx_g=no
  1414. fi
  1415. rm -f conftest.$ac_objext conftest.$ac_ext
  1416. fi
  1417. echo "$as_me:$LINENO: result: $ac_cv_prog_cxx_g" >&5
  1418. echo "${ECHO_T}$ac_cv_prog_cxx_g" >&6
  1419. if test "$ac_test_CXXFLAGS" = set; then
  1420.   CXXFLAGS=$ac_save_CXXFLAGS
  1421. elif test $ac_cv_prog_cxx_g = yes; then
  1422.   if test "$GXX" = yes; then
  1423.     CXXFLAGS="-g -O2"
  1424.   else
  1425.     CXXFLAGS="-g"
  1426.   fi
  1427. else
  1428.   if test "$GXX" = yes; then
  1429.     CXXFLAGS="-O2"
  1430.   else
  1431.     CXXFLAGS=
  1432.   fi
  1433. fi
  1434. for ac_declaration in 
  1435.    ''
  1436.    '#include <stdlib.h>' 
  1437.    'extern "C" void std::exit (int) throw (); using std::exit;' 
  1438.    'extern "C" void std::exit (int); using std::exit;' 
  1439.    'extern "C" void exit (int) throw ();' 
  1440.    'extern "C" void exit (int);' 
  1441.    'void exit (int);'
  1442. do
  1443.   cat >conftest.$ac_ext <<_ACEOF
  1444. #line $LINENO "configure"
  1445. #include "confdefs.h"
  1446. #include <stdlib.h>
  1447. $ac_declaration
  1448. #ifdef F77_DUMMY_MAIN
  1449. #  ifdef __cplusplus
  1450.      extern "C"
  1451. #  endif
  1452.    int F77_DUMMY_MAIN() { return 1; }
  1453. #endif
  1454. int
  1455. main ()
  1456. {
  1457. exit (42);
  1458.   ;
  1459.   return 0;
  1460. }
  1461. _ACEOF
  1462. rm -f conftest.$ac_objext
  1463. if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
  1464.   (eval $ac_compile) 2>&5
  1465.   ac_status=$?
  1466.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1467.   (exit $ac_status); } &&
  1468.          { ac_try='test -s conftest.$ac_objext'
  1469.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  1470.   (eval $ac_try) 2>&5
  1471.   ac_status=$?
  1472.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1473.   (exit $ac_status); }; }; then
  1474.   :
  1475. else
  1476.   echo "$as_me: failed program was:" >&5
  1477. cat conftest.$ac_ext >&5
  1478. continue
  1479. fi
  1480. rm -f conftest.$ac_objext conftest.$ac_ext
  1481.   cat >conftest.$ac_ext <<_ACEOF
  1482. #line $LINENO "configure"
  1483. #include "confdefs.h"
  1484. $ac_declaration
  1485. #ifdef F77_DUMMY_MAIN
  1486. #  ifdef __cplusplus
  1487.      extern "C"
  1488. #  endif
  1489.    int F77_DUMMY_MAIN() { return 1; }
  1490. #endif
  1491. int
  1492. main ()
  1493. {
  1494. exit (42);
  1495.   ;
  1496.   return 0;
  1497. }
  1498. _ACEOF
  1499. rm -f conftest.$ac_objext
  1500. if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
  1501.   (eval $ac_compile) 2>&5
  1502.   ac_status=$?
  1503.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1504.   (exit $ac_status); } &&
  1505.          { ac_try='test -s conftest.$ac_objext'
  1506.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  1507.   (eval $ac_try) 2>&5
  1508.   ac_status=$?
  1509.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1510.   (exit $ac_status); }; }; then
  1511.   break
  1512. else
  1513.   echo "$as_me: failed program was:" >&5
  1514. cat conftest.$ac_ext >&5
  1515. fi
  1516. rm -f conftest.$ac_objext conftest.$ac_ext
  1517. done
  1518. rm -f conftest*
  1519. if test -n "$ac_declaration"; then
  1520.   echo '#ifdef __cplusplus' >>confdefs.h
  1521.   echo $ac_declaration      >>confdefs.h
  1522.   echo '#endif'             >>confdefs.h
  1523. fi
  1524. ac_ext=c
  1525. ac_cpp='$CPP $CPPFLAGS'
  1526. ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
  1527. ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
  1528. ac_compiler_gnu=$ac_cv_c_compiler_gnu
  1529. # enable QTDIR if exist
  1530. if test -d "$QTDIR" ; then
  1531. export PATH=$QTDIR/bin:$PATH
  1532. export CPPFLAGS="$CPPFLAGS -I$QTDIR/include"
  1533. export LDFLAGS="$LDFLAGS -L$QTDIR/lib"
  1534. ac_QTDIR="$QTDIR"
  1535. else
  1536. export CPPFLAGS="$CPPFLAGS -I/usr/include/qt -I/usr/local/include -I/usr/X11R6/include"
  1537. export LDFLAGS="$LDFLAGS -L/usr/local/lib -L/usr/X11R6/lib"
  1538. ac_QTDIR=
  1539. fi
  1540. H_SSL097=no
  1541. H_SSL=no
  1542. H_DB=no
  1543. ac_SSLVER="<= 0.9.6"
  1544. ac_ext=c
  1545. ac_cpp='$CPP $CPPFLAGS'
  1546. ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
  1547. ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
  1548. ac_compiler_gnu=$ac_cv_c_compiler_gnu
  1549. if test -n "$ac_tool_prefix"; then
  1550.   # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
  1551. set dummy ${ac_tool_prefix}gcc; ac_word=$2
  1552. echo "$as_me:$LINENO: checking for $ac_word" >&5
  1553. echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
  1554. if test "${ac_cv_prog_CC+set}" = set; then
  1555.   echo $ECHO_N "(cached) $ECHO_C" >&6
  1556. else
  1557.   if test -n "$CC"; then
  1558.   ac_cv_prog_CC="$CC" # Let the user override the test.
  1559. else
  1560. as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  1561. for as_dir in $PATH
  1562. do
  1563.   IFS=$as_save_IFS
  1564.   test -z "$as_dir" && as_dir=.
  1565.   for ac_exec_ext in '' $ac_executable_extensions; do
  1566.   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
  1567.     ac_cv_prog_CC="${ac_tool_prefix}gcc"
  1568.     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
  1569.     break 2
  1570.   fi
  1571. done
  1572. done
  1573. fi
  1574. fi
  1575. CC=$ac_cv_prog_CC
  1576. if test -n "$CC"; then
  1577.   echo "$as_me:$LINENO: result: $CC" >&5
  1578. echo "${ECHO_T}$CC" >&6
  1579. else
  1580.   echo "$as_me:$LINENO: result: no" >&5
  1581. echo "${ECHO_T}no" >&6
  1582. fi
  1583. fi
  1584. if test -z "$ac_cv_prog_CC"; then
  1585.   ac_ct_CC=$CC
  1586.   # Extract the first word of "gcc", so it can be a program name with args.
  1587. set dummy gcc; ac_word=$2
  1588. echo "$as_me:$LINENO: checking for $ac_word" >&5
  1589. echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
  1590. if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
  1591.   echo $ECHO_N "(cached) $ECHO_C" >&6
  1592. else
  1593.   if test -n "$ac_ct_CC"; then
  1594.   ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
  1595. else
  1596. as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  1597. for as_dir in $PATH
  1598. do
  1599.   IFS=$as_save_IFS
  1600.   test -z "$as_dir" && as_dir=.
  1601.   for ac_exec_ext in '' $ac_executable_extensions; do
  1602.   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
  1603.     ac_cv_prog_ac_ct_CC="gcc"
  1604.     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
  1605.     break 2
  1606.   fi
  1607. done
  1608. done
  1609. fi
  1610. fi
  1611. ac_ct_CC=$ac_cv_prog_ac_ct_CC
  1612. if test -n "$ac_ct_CC"; then
  1613.   echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
  1614. echo "${ECHO_T}$ac_ct_CC" >&6
  1615. else
  1616.   echo "$as_me:$LINENO: result: no" >&5
  1617. echo "${ECHO_T}no" >&6
  1618. fi
  1619.   CC=$ac_ct_CC
  1620. else
  1621.   CC="$ac_cv_prog_CC"
  1622. fi
  1623. if test -z "$CC"; then
  1624.   if test -n "$ac_tool_prefix"; then
  1625.   # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
  1626. set dummy ${ac_tool_prefix}cc; ac_word=$2
  1627. echo "$as_me:$LINENO: checking for $ac_word" >&5
  1628. echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
  1629. if test "${ac_cv_prog_CC+set}" = set; then
  1630.   echo $ECHO_N "(cached) $ECHO_C" >&6
  1631. else
  1632.   if test -n "$CC"; then
  1633.   ac_cv_prog_CC="$CC" # Let the user override the test.
  1634. else
  1635. as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  1636. for as_dir in $PATH
  1637. do
  1638.   IFS=$as_save_IFS
  1639.   test -z "$as_dir" && as_dir=.
  1640.   for ac_exec_ext in '' $ac_executable_extensions; do
  1641.   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
  1642.     ac_cv_prog_CC="${ac_tool_prefix}cc"
  1643.     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
  1644.     break 2
  1645.   fi
  1646. done
  1647. done
  1648. fi
  1649. fi
  1650. CC=$ac_cv_prog_CC
  1651. if test -n "$CC"; then
  1652.   echo "$as_me:$LINENO: result: $CC" >&5
  1653. echo "${ECHO_T}$CC" >&6
  1654. else
  1655.   echo "$as_me:$LINENO: result: no" >&5
  1656. echo "${ECHO_T}no" >&6
  1657. fi
  1658. fi
  1659. if test -z "$ac_cv_prog_CC"; then
  1660.   ac_ct_CC=$CC
  1661.   # Extract the first word of "cc", so it can be a program name with args.
  1662. set dummy cc; ac_word=$2
  1663. echo "$as_me:$LINENO: checking for $ac_word" >&5
  1664. echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
  1665. if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
  1666.   echo $ECHO_N "(cached) $ECHO_C" >&6
  1667. else
  1668.   if test -n "$ac_ct_CC"; then
  1669.   ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
  1670. else
  1671. as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  1672. for as_dir in $PATH
  1673. do
  1674.   IFS=$as_save_IFS
  1675.   test -z "$as_dir" && as_dir=.
  1676.   for ac_exec_ext in '' $ac_executable_extensions; do
  1677.   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
  1678.     ac_cv_prog_ac_ct_CC="cc"
  1679.     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
  1680.     break 2
  1681.   fi
  1682. done
  1683. done
  1684. fi
  1685. fi
  1686. ac_ct_CC=$ac_cv_prog_ac_ct_CC
  1687. if test -n "$ac_ct_CC"; then
  1688.   echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
  1689. echo "${ECHO_T}$ac_ct_CC" >&6
  1690. else
  1691.   echo "$as_me:$LINENO: result: no" >&5
  1692. echo "${ECHO_T}no" >&6
  1693. fi
  1694.   CC=$ac_ct_CC
  1695. else
  1696.   CC="$ac_cv_prog_CC"
  1697. fi
  1698. fi
  1699. if test -z "$CC"; then
  1700.   # Extract the first word of "cc", so it can be a program name with args.
  1701. set dummy cc; ac_word=$2
  1702. echo "$as_me:$LINENO: checking for $ac_word" >&5
  1703. echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
  1704. if test "${ac_cv_prog_CC+set}" = set; then
  1705.   echo $ECHO_N "(cached) $ECHO_C" >&6
  1706. else
  1707.   if test -n "$CC"; then
  1708.   ac_cv_prog_CC="$CC" # Let the user override the test.
  1709. else
  1710.   ac_prog_rejected=no
  1711. as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  1712. for as_dir in $PATH
  1713. do
  1714.   IFS=$as_save_IFS
  1715.   test -z "$as_dir" && as_dir=.
  1716.   for ac_exec_ext in '' $ac_executable_extensions; do
  1717.   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
  1718.     if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
  1719.        ac_prog_rejected=yes
  1720.        continue
  1721.      fi
  1722.     ac_cv_prog_CC="cc"
  1723.     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
  1724.     break 2
  1725.   fi
  1726. done
  1727. done
  1728. if test $ac_prog_rejected = yes; then
  1729.   # We found a bogon in the path, so make sure we never use it.
  1730.   set dummy $ac_cv_prog_CC
  1731.   shift
  1732.   if test $# != 0; then
  1733.     # We chose a different compiler from the bogus one.
  1734.     # However, it has the same basename, so the bogon will be chosen
  1735.     # first if we set CC to just the basename; use the full file name.
  1736.     shift
  1737.     set dummy "$as_dir/$ac_word" ${1+"$@"}
  1738.     shift
  1739.     ac_cv_prog_CC="$@"
  1740.   fi
  1741. fi
  1742. fi
  1743. fi
  1744. CC=$ac_cv_prog_CC
  1745. if test -n "$CC"; then
  1746.   echo "$as_me:$LINENO: result: $CC" >&5
  1747. echo "${ECHO_T}$CC" >&6
  1748. else
  1749.   echo "$as_me:$LINENO: result: no" >&5
  1750. echo "${ECHO_T}no" >&6
  1751. fi
  1752. fi
  1753. if test -z "$CC"; then
  1754.   if test -n "$ac_tool_prefix"; then
  1755.   for ac_prog in cl
  1756.   do
  1757.     # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
  1758. set dummy $ac_tool_prefix$ac_prog; ac_word=$2
  1759. echo "$as_me:$LINENO: checking for $ac_word" >&5
  1760. echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
  1761. if test "${ac_cv_prog_CC+set}" = set; then
  1762.   echo $ECHO_N "(cached) $ECHO_C" >&6
  1763. else
  1764.   if test -n "$CC"; then
  1765.   ac_cv_prog_CC="$CC" # Let the user override the test.
  1766. else
  1767. as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  1768. for as_dir in $PATH
  1769. do
  1770.   IFS=$as_save_IFS
  1771.   test -z "$as_dir" && as_dir=.
  1772.   for ac_exec_ext in '' $ac_executable_extensions; do
  1773.   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
  1774.     ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
  1775.     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
  1776.     break 2
  1777.   fi
  1778. done
  1779. done
  1780. fi
  1781. fi
  1782. CC=$ac_cv_prog_CC
  1783. if test -n "$CC"; then
  1784.   echo "$as_me:$LINENO: result: $CC" >&5
  1785. echo "${ECHO_T}$CC" >&6
  1786. else
  1787.   echo "$as_me:$LINENO: result: no" >&5
  1788. echo "${ECHO_T}no" >&6
  1789. fi
  1790.     test -n "$CC" && break
  1791.   done
  1792. fi
  1793. if test -z "$CC"; then
  1794.   ac_ct_CC=$CC
  1795.   for ac_prog in cl
  1796. do
  1797.   # Extract the first word of "$ac_prog", so it can be a program name with args.
  1798. set dummy $ac_prog; ac_word=$2
  1799. echo "$as_me:$LINENO: checking for $ac_word" >&5
  1800. echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
  1801. if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
  1802.   echo $ECHO_N "(cached) $ECHO_C" >&6
  1803. else
  1804.   if test -n "$ac_ct_CC"; then
  1805.   ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
  1806. else
  1807. as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  1808. for as_dir in $PATH
  1809. do
  1810.   IFS=$as_save_IFS
  1811.   test -z "$as_dir" && as_dir=.
  1812.   for ac_exec_ext in '' $ac_executable_extensions; do
  1813.   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
  1814.     ac_cv_prog_ac_ct_CC="$ac_prog"
  1815.     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
  1816.     break 2
  1817.   fi
  1818. done
  1819. done
  1820. fi
  1821. fi
  1822. ac_ct_CC=$ac_cv_prog_ac_ct_CC
  1823. if test -n "$ac_ct_CC"; then
  1824.   echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
  1825. echo "${ECHO_T}$ac_ct_CC" >&6
  1826. else
  1827.   echo "$as_me:$LINENO: result: no" >&5
  1828. echo "${ECHO_T}no" >&6
  1829. fi
  1830.   test -n "$ac_ct_CC" && break
  1831. done
  1832.   CC=$ac_ct_CC
  1833. fi
  1834. fi
  1835. test -z "$CC" && { { echo "$as_me:$LINENO: error: no acceptable C compiler found in $PATH" >&5
  1836. echo "$as_me: error: no acceptable C compiler found in $PATH" >&2;}
  1837.    { (exit 1); exit 1; }; }
  1838. # Provide some information about the compiler.
  1839. echo "$as_me:$LINENO:" 
  1840.      "checking for C compiler version" >&5
  1841. ac_compiler=`set X $ac_compile; echo $2`
  1842. { (eval echo "$as_me:$LINENO: "$ac_compiler --version </dev/null >&5"") >&5
  1843.   (eval $ac_compiler --version </dev/null >&5) 2>&5
  1844.   ac_status=$?
  1845.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1846.   (exit $ac_status); }
  1847. { (eval echo "$as_me:$LINENO: "$ac_compiler -v </dev/null >&5"") >&5
  1848.   (eval $ac_compiler -v </dev/null >&5) 2>&5
  1849.   ac_status=$?
  1850.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1851.   (exit $ac_status); }
  1852. { (eval echo "$as_me:$LINENO: "$ac_compiler -V </dev/null >&5"") >&5
  1853.   (eval $ac_compiler -V </dev/null >&5) 2>&5
  1854.   ac_status=$?
  1855.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1856.   (exit $ac_status); }
  1857. echo "$as_me:$LINENO: checking whether we are using the GNU C compiler" >&5
  1858. echo $ECHO_N "checking whether we are using the GNU C compiler... $ECHO_C" >&6
  1859. if test "${ac_cv_c_compiler_gnu+set}" = set; then
  1860.   echo $ECHO_N "(cached) $ECHO_C" >&6
  1861. else
  1862.   cat >conftest.$ac_ext <<_ACEOF
  1863. #line $LINENO "configure"
  1864. #include "confdefs.h"
  1865. #ifdef F77_DUMMY_MAIN
  1866. #  ifdef __cplusplus
  1867.      extern "C"
  1868. #  endif
  1869.    int F77_DUMMY_MAIN() { return 1; }
  1870. #endif
  1871. int
  1872. main ()
  1873. {
  1874. #ifndef __GNUC__
  1875.        choke me
  1876. #endif
  1877.   ;
  1878.   return 0;
  1879. }
  1880. _ACEOF
  1881. rm -f conftest.$ac_objext
  1882. if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
  1883.   (eval $ac_compile) 2>&5
  1884.   ac_status=$?
  1885.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1886.   (exit $ac_status); } &&
  1887.          { ac_try='test -s conftest.$ac_objext'
  1888.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  1889.   (eval $ac_try) 2>&5
  1890.   ac_status=$?
  1891.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1892.   (exit $ac_status); }; }; then
  1893.   ac_compiler_gnu=yes
  1894. else
  1895.   echo "$as_me: failed program was:" >&5
  1896. cat conftest.$ac_ext >&5
  1897. ac_compiler_gnu=no
  1898. fi
  1899. rm -f conftest.$ac_objext conftest.$ac_ext
  1900. ac_cv_c_compiler_gnu=$ac_compiler_gnu
  1901. fi
  1902. echo "$as_me:$LINENO: result: $ac_cv_c_compiler_gnu" >&5
  1903. echo "${ECHO_T}$ac_cv_c_compiler_gnu" >&6
  1904. GCC=`test $ac_compiler_gnu = yes && echo yes`
  1905. ac_test_CFLAGS=${CFLAGS+set}
  1906. ac_save_CFLAGS=$CFLAGS
  1907. CFLAGS="-g"
  1908. echo "$as_me:$LINENO: checking whether $CC accepts -g" >&5
  1909. echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6
  1910. if test "${ac_cv_prog_cc_g+set}" = set; then
  1911.   echo $ECHO_N "(cached) $ECHO_C" >&6
  1912. else
  1913.   cat >conftest.$ac_ext <<_ACEOF
  1914. #line $LINENO "configure"
  1915. #include "confdefs.h"
  1916. #ifdef F77_DUMMY_MAIN
  1917. #  ifdef __cplusplus
  1918.      extern "C"
  1919. #  endif
  1920.    int F77_DUMMY_MAIN() { return 1; }
  1921. #endif
  1922. int
  1923. main ()
  1924. {
  1925.   ;
  1926.   return 0;
  1927. }
  1928. _ACEOF
  1929. rm -f conftest.$ac_objext
  1930. if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
  1931.   (eval $ac_compile) 2>&5
  1932.   ac_status=$?
  1933.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1934.   (exit $ac_status); } &&
  1935.          { ac_try='test -s conftest.$ac_objext'
  1936.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  1937.   (eval $ac_try) 2>&5
  1938.   ac_status=$?
  1939.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1940.   (exit $ac_status); }; }; then
  1941.   ac_cv_prog_cc_g=yes
  1942. else
  1943.   echo "$as_me: failed program was:" >&5
  1944. cat conftest.$ac_ext >&5
  1945. ac_cv_prog_cc_g=no
  1946. fi
  1947. rm -f conftest.$ac_objext conftest.$ac_ext
  1948. fi
  1949. echo "$as_me:$LINENO: result: $ac_cv_prog_cc_g" >&5
  1950. echo "${ECHO_T}$ac_cv_prog_cc_g" >&6
  1951. if test "$ac_test_CFLAGS" = set; then
  1952.   CFLAGS=$ac_save_CFLAGS
  1953. elif test $ac_cv_prog_cc_g = yes; then
  1954.   if test "$GCC" = yes; then
  1955.     CFLAGS="-g -O2"
  1956.   else
  1957.     CFLAGS="-g"
  1958.   fi
  1959. else
  1960.   if test "$GCC" = yes; then
  1961.     CFLAGS="-O2"
  1962.   else
  1963.     CFLAGS=
  1964.   fi
  1965. fi
  1966. # Some people use a C++ compiler to compile C.  Since we use `exit',
  1967. # in C++ we need to declare it.  In case someone uses the same compiler
  1968. # for both compiling C and C++ we need to have the C++ compiler decide
  1969. # the declaration of exit, since it's the most demanding environment.
  1970. cat >conftest.$ac_ext <<_ACEOF
  1971. #ifndef __cplusplus
  1972.   choke me
  1973. #endif
  1974. _ACEOF
  1975. rm -f conftest.$ac_objext
  1976. if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
  1977.   (eval $ac_compile) 2>&5
  1978.   ac_status=$?
  1979.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1980.   (exit $ac_status); } &&
  1981.          { ac_try='test -s conftest.$ac_objext'
  1982.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  1983.   (eval $ac_try) 2>&5
  1984.   ac_status=$?
  1985.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1986.   (exit $ac_status); }; }; then
  1987.   for ac_declaration in 
  1988.    ''
  1989.    '#include <stdlib.h>' 
  1990.    'extern "C" void std::exit (int) throw (); using std::exit;' 
  1991.    'extern "C" void std::exit (int); using std::exit;' 
  1992.    'extern "C" void exit (int) throw ();' 
  1993.    'extern "C" void exit (int);' 
  1994.    'void exit (int);'
  1995. do
  1996.   cat >conftest.$ac_ext <<_ACEOF
  1997. #line $LINENO "configure"
  1998. #include "confdefs.h"
  1999. #include <stdlib.h>
  2000. $ac_declaration
  2001. #ifdef F77_DUMMY_MAIN
  2002. #  ifdef __cplusplus
  2003.      extern "C"
  2004. #  endif
  2005.    int F77_DUMMY_MAIN() { return 1; }
  2006. #endif
  2007. int
  2008. main ()
  2009. {
  2010. exit (42);
  2011.   ;
  2012.   return 0;
  2013. }
  2014. _ACEOF
  2015. rm -f conftest.$ac_objext
  2016. if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
  2017.   (eval $ac_compile) 2>&5
  2018.   ac_status=$?
  2019.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  2020.   (exit $ac_status); } &&
  2021.          { ac_try='test -s conftest.$ac_objext'
  2022.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  2023.   (eval $ac_try) 2>&5
  2024.   ac_status=$?
  2025.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  2026.   (exit $ac_status); }; }; then
  2027.   :
  2028. else
  2029.   echo "$as_me: failed program was:" >&5
  2030. cat conftest.$ac_ext >&5
  2031. continue
  2032. fi
  2033. rm -f conftest.$ac_objext conftest.$ac_ext
  2034.   cat >conftest.$ac_ext <<_ACEOF
  2035. #line $LINENO "configure"
  2036. #include "confdefs.h"
  2037. $ac_declaration
  2038. #ifdef F77_DUMMY_MAIN
  2039. #  ifdef __cplusplus
  2040.      extern "C"
  2041. #  endif
  2042.    int F77_DUMMY_MAIN() { return 1; }
  2043. #endif
  2044. int
  2045. main ()
  2046. {
  2047. exit (42);
  2048.   ;
  2049.   return 0;
  2050. }
  2051. _ACEOF
  2052. rm -f conftest.$ac_objext
  2053. if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
  2054.   (eval $ac_compile) 2>&5
  2055.   ac_status=$?
  2056.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  2057.   (exit $ac_status); } &&
  2058.          { ac_try='test -s conftest.$ac_objext'
  2059.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  2060.   (eval $ac_try) 2>&5
  2061.   ac_status=$?
  2062.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  2063.   (exit $ac_status); }; }; then
  2064.   break
  2065. else
  2066.   echo "$as_me: failed program was:" >&5
  2067. cat conftest.$ac_ext >&5
  2068. fi
  2069. rm -f conftest.$ac_objext conftest.$ac_ext
  2070. done
  2071. rm -f conftest*
  2072. if test -n "$ac_declaration"; then
  2073.   echo '#ifdef __cplusplus' >>confdefs.h
  2074.   echo $ac_declaration      >>confdefs.h
  2075.   echo '#endif'             >>confdefs.h
  2076. fi
  2077. else
  2078.   echo "$as_me: failed program was:" >&5
  2079. cat conftest.$ac_ext >&5
  2080. fi
  2081. rm -f conftest.$ac_objext conftest.$ac_ext
  2082. ac_ext=c
  2083. ac_cpp='$CPP $CPPFLAGS'
  2084. ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
  2085. ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
  2086. ac_compiler_gnu=$ac_cv_c_compiler_gnu
  2087. ac_ext=c
  2088. ac_cpp='$CPP $CPPFLAGS'
  2089. ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
  2090. ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
  2091. ac_compiler_gnu=$ac_cv_c_compiler_gnu
  2092. echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
  2093. echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
  2094. # On Suns, sometimes $CPP names a directory.
  2095. if test -n "$CPP" && test -d "$CPP"; then
  2096.   CPP=
  2097. fi
  2098. if test -z "$CPP"; then
  2099.   if test "${ac_cv_prog_CPP+set}" = set; then
  2100.   echo $ECHO_N "(cached) $ECHO_C" >&6
  2101. else
  2102.       # Double quotes because CPP needs to be expanded
  2103.     for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
  2104.     do
  2105.       ac_preproc_ok=false
  2106. for ac_c_preproc_warn_flag in '' yes
  2107. do
  2108.   # Use a header file that comes with gcc, so configuring glibc
  2109.   # with a fresh cross-compiler works.
  2110.   # On the NeXT, cc -E runs the code through the compiler's parser,
  2111.   # not just through cpp. "Syntax error" is here to catch this case.
  2112.   cat >conftest.$ac_ext <<_ACEOF
  2113. #line $LINENO "configure"
  2114. #include "confdefs.h"
  2115. #include <assert.h>
  2116.                      Syntax error
  2117. _ACEOF
  2118. if { (eval echo "$as_me:$LINENO: "$ac_cpp conftest.$ac_ext"") >&5
  2119.   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
  2120.   ac_status=$?
  2121.   egrep -v '^ *+' conftest.er1 >conftest.err
  2122.   rm -f conftest.er1
  2123.   cat conftest.err >&5
  2124.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  2125.   (exit $ac_status); } >/dev/null; then
  2126.   if test -s conftest.err; then
  2127.     ac_cpp_err=$ac_c_preproc_warn_flag
  2128.   else
  2129.     ac_cpp_err=
  2130.   fi
  2131. else
  2132.   ac_cpp_err=yes
  2133. fi
  2134. if test -z "$ac_cpp_err"; then
  2135.   :
  2136. else
  2137.   echo "$as_me: failed program was:" >&5
  2138.   cat conftest.$ac_ext >&5
  2139.   # Broken: fails on valid input.
  2140. continue
  2141. fi
  2142. rm -f conftest.err conftest.$ac_ext
  2143.   # OK, works on sane cases.  Now check whether non-existent headers
  2144.   # can be detected and how.
  2145.   cat >conftest.$ac_ext <<_ACEOF
  2146. #line $LINENO "configure"
  2147. #include "confdefs.h"
  2148. #include <ac_nonexistent.h>
  2149. _ACEOF
  2150. if { (eval echo "$as_me:$LINENO: "$ac_cpp conftest.$ac_ext"") >&5
  2151.   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
  2152.   ac_status=$?
  2153.   egrep -v '^ *+' conftest.er1 >conftest.err
  2154.   rm -f conftest.er1
  2155.   cat conftest.err >&5
  2156.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  2157.   (exit $ac_status); } >/dev/null; then
  2158.   if test -s conftest.err; then
  2159.     ac_cpp_err=$ac_c_preproc_warn_flag
  2160.   else
  2161.     ac_cpp_err=
  2162.   fi
  2163. else
  2164.   ac_cpp_err=yes
  2165. fi
  2166. if test -z "$ac_cpp_err"; then
  2167.   # Broken: success on invalid input.
  2168. continue
  2169. else
  2170.   echo "$as_me: failed program was:" >&5
  2171.   cat conftest.$ac_ext >&5
  2172.   # Passes both tests.
  2173. ac_preproc_ok=:
  2174. break
  2175. fi
  2176. rm -f conftest.err conftest.$ac_ext
  2177. done
  2178. # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
  2179. rm -f conftest.err conftest.$ac_ext
  2180. if $ac_preproc_ok; then
  2181.   break
  2182. fi
  2183.     done
  2184.     ac_cv_prog_CPP=$CPP
  2185. fi
  2186.   CPP=$ac_cv_prog_CPP
  2187. else
  2188.   ac_cv_prog_CPP=$CPP
  2189. fi
  2190. echo "$as_me:$LINENO: result: $CPP" >&5
  2191. echo "${ECHO_T}$CPP" >&6
  2192. ac_preproc_ok=false
  2193. for ac_c_preproc_warn_flag in '' yes
  2194. do
  2195.   # Use a header file that comes with gcc, so configuring glibc
  2196.   # with a fresh cross-compiler works.
  2197.   # On the NeXT, cc -E runs the code through the compiler's parser,
  2198.   # not just through cpp. "Syntax error" is here to catch this case.
  2199.   cat >conftest.$ac_ext <<_ACEOF
  2200. #line $LINENO "configure"
  2201. #include "confdefs.h"
  2202. #include <assert.h>
  2203.                      Syntax error
  2204. _ACEOF
  2205. if { (eval echo "$as_me:$LINENO: "$ac_cpp conftest.$ac_ext"") >&5
  2206.   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
  2207.   ac_status=$?
  2208.   egrep -v '^ *+' conftest.er1 >conftest.err
  2209.   rm -f conftest.er1
  2210.   cat conftest.err >&5
  2211.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  2212.   (exit $ac_status); } >/dev/null; then
  2213.   if test -s conftest.err; then
  2214.     ac_cpp_err=$ac_c_preproc_warn_flag
  2215.   else
  2216.     ac_cpp_err=
  2217.   fi
  2218. else
  2219.   ac_cpp_err=yes
  2220. fi
  2221. if test -z "$ac_cpp_err"; then
  2222.   :
  2223. else
  2224.   echo "$as_me: failed program was:" >&5
  2225.   cat conftest.$ac_ext >&5
  2226.   # Broken: fails on valid input.
  2227. continue
  2228. fi
  2229. rm -f conftest.err conftest.$ac_ext
  2230.   # OK, works on sane cases.  Now check whether non-existent headers
  2231.   # can be detected and how.
  2232.   cat >conftest.$ac_ext <<_ACEOF
  2233. #line $LINENO "configure"
  2234. #include "confdefs.h"
  2235. #include <ac_nonexistent.h>
  2236. _ACEOF
  2237. if { (eval echo "$as_me:$LINENO: "$ac_cpp conftest.$ac_ext"") >&5
  2238.   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
  2239.   ac_status=$?
  2240.   egrep -v '^ *+' conftest.er1 >conftest.err
  2241.   rm -f conftest.er1
  2242.   cat conftest.err >&5
  2243.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  2244.   (exit $ac_status); } >/dev/null; then
  2245.   if test -s conftest.err; then
  2246.     ac_cpp_err=$ac_c_preproc_warn_flag
  2247.   else
  2248.     ac_cpp_err=
  2249.   fi
  2250. else
  2251.   ac_cpp_err=yes
  2252. fi
  2253. if test -z "$ac_cpp_err"; then
  2254.   # Broken: success on invalid input.
  2255. continue
  2256. else
  2257.   echo "$as_me: failed program was:" >&5
  2258.   cat conftest.$ac_ext >&5
  2259.   # Passes both tests.
  2260. ac_preproc_ok=:
  2261. break
  2262. fi
  2263. rm -f conftest.err conftest.$ac_ext
  2264. done
  2265. # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
  2266. rm -f conftest.err conftest.$ac_ext
  2267. if $ac_preproc_ok; then
  2268.   :
  2269. else
  2270.   { { echo "$as_me:$LINENO: error: C preprocessor "$CPP" fails sanity check" >&5
  2271. echo "$as_me: error: C preprocessor "$CPP" fails sanity check" >&2;}
  2272.    { (exit 1); exit 1; }; }
  2273. fi
  2274. ac_ext=c
  2275. ac_cpp='$CPP $CPPFLAGS'
  2276. ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
  2277. ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
  2278. ac_compiler_gnu=$ac_cv_c_compiler_gnu
  2279. echo "$as_me:$LINENO: checking for ANSI C header files" >&5
  2280. echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
  2281. if test "${ac_cv_header_stdc+set}" = set; then
  2282.   echo $ECHO_N "(cached) $ECHO_C" >&6
  2283. else
  2284.   cat >conftest.$ac_ext <<_ACEOF
  2285. #line $LINENO "configure"
  2286. #include "confdefs.h"
  2287. #include <stdlib.h>
  2288. #include <stdarg.h>
  2289. #include <string.h>
  2290. #include <float.h>
  2291. _ACEOF
  2292. if { (eval echo "$as_me:$LINENO: "$ac_cpp conftest.$ac_ext"") >&5
  2293.   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
  2294.   ac_status=$?
  2295.   egrep -v '^ *+' conftest.er1 >conftest.err
  2296.   rm -f conftest.er1
  2297.   cat conftest.err >&5
  2298.   echo "$as_me:$LINENO: $? = $ac_status" >&5